aboutsummaryrefslogtreecommitdiff
path: root/paludis/resolver/resolver_TEST_any_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/resolver/resolver_TEST_any_setup.sh')
-rwxr-xr-xpaludis/resolver/resolver_TEST_any_setup.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/paludis/resolver/resolver_TEST_any_setup.sh b/paludis/resolver/resolver_TEST_any_setup.sh
index d27a14bd1..1f56d5317 100755
--- a/paludis/resolver/resolver_TEST_any_setup.sh
+++ b/paludis/resolver/resolver_TEST_any_setup.sh
@@ -68,5 +68,71 @@ PLATFORMS="test"
SLOT="0"
END
+# self-use-first
+echo 'self-use-first' >> metadata/categories.conf
+
+mkdir -p 'packages/self-use-first/target'
+cat <<END > packages/self-use-first/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ self-use-first/dep
+ "
+END
+
+mkdir -p 'packages/self-use-first/dep'
+cat <<END > packages/self-use-first/dep/dep-1.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+MYOPTIONS="enabled disabled"
+DEPENDENCIES="run: || ( self-use-first/dep[enabled] self-use-first/dep[disabled] )"
+END
+
+# self-use-second
+echo 'self-use-second' >> metadata/categories.conf
+
+mkdir -p 'packages/self-use-second/target'
+cat <<END > packages/self-use-second/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ self-use-second/dep
+ "
+END
+
+mkdir -p 'packages/self-use-second/dep'
+cat <<END > packages/self-use-second/dep/dep-1.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+MYOPTIONS="enabled disabled"
+DEPENDENCIES="run: || ( self-use-second/dep[disabled] self-use-second/dep[enabled] )"
+END
+
+# self-use-neither
+echo 'self-use-neither' >> metadata/categories.conf
+
+mkdir -p 'packages/self-use-neither/target'
+cat <<END > packages/self-use-neither/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ self-use-neither/dep
+ "
+END
+
+mkdir -p 'packages/self-use-neither/dep'
+cat <<END > packages/self-use-neither/dep/dep-1.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+MYOPTIONS="disabled disabled2"
+DEPENDENCIES="run: || ( self-use-neither/dep[disabled] self-use-neither/dep[disabled2] )"
+END
+
cd ..